Subject: bug#4395: 23.1; byte-compiler loses top-level (put 'x...)

From: "Drew Adams" <[email-masked]>
Date: Fri, 11 Sep 2009 13:31:22 -0700

> > What is the behavior you saw? Did the put take place in the
> > byte-compiled file?  When you used C-h v, did you see the new doc
> > string (from the put), instead of the original one?
> 
> The "expected" one.  Yes.  Yes.
> Maybe if you give a more complete and detailed recipe (showing the
> exact file content (I used files containing the code you suggested,
> with the "..." stripped out), the commands you use to compile 
> the files, when you exit Emacs and restart it, ...) we can get
> to the bottom of it.

I can't reproduce it now either. I'll try to find an old version of the file
that produced the problem. Probably it was user error in some way. Thx.